<h1>My Job Offers</h1>
<table class="table table-bordered">
	<tr>
		<th>Title</th>
		<th>Location</th>
		<th>Description</th>
		<th>Remuneration</th>
		<th>Is active</th>
		<th>Applications</th>
		<th>Tags</th>
		<th>Actions</th>
	</tr>
	<% @offers.each do | offer| %>

	<tr>
			<td>
			<%= offer.title %>
		</td>
		<td>
			<%= offer.location %>
		</td>
		<td>
			<%= offer.description %>
		</td>		
		<td>
			<%= offer.remuneration %>
		</td>		
		<td>
			<%= offer.is_active %>
		</td>		
		<td>
			<%= offer.applications %>
		</td>	
		<td>
			<% offer.tags&.each do |p| %>
 			  <p class="offer-tag">
			    <%= p %>
			  </p>
			<% end %>
		</td>	
		<td>
			<%= link_to 'Edit', url_for(:job_offers, :edit, :offer_id => offer.id), :class => "btn btn-primary" %>
			<%- form_tag url(:job_offers, :destroy, :offer_id => offer.id), :method => :delete, :style => 'display:inline' do %>
			 <button type='submit' title="Delete offer" rel='tooltip' class="btn btn-secondary" <%= offer.applications > 0 ? 'disabled' : nil %>>Delete</button>
       <% end %>
       <% if not offer.is_active %>
				<%- form_tag url(:job_offers, :activate, :offer_id => offer.id), :method => :put, :style => 'display:inline' do %>
	                <button type='submit' title="Activate offer" rel='tooltip' class="btn btn-secondary" value='activate'>Activate
	                </button>
	       <% end %>
       <% end %>
		</td>	
	</tr>

  <% end %>



</table>